dircoll.h File Reference

Header file that defines DirectoryCollection. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/fcoll.h"`
`#include "zipios++/basicentry.h"`
`#include "zipios++/filepath.h"`
Include dependency graph for dircoll.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::DirectoryCollection
| DirectoryCollection is a FileCollection that obtains its entries from a directory. More...

## Typedefs

typedef BasicEntry | zipios::DirEntry
| DirEntry is a BasicEntry.

## Detailed Description

Header file that defines DirectoryCollection.

Definition in file dircoll.h.

## Typedef Documentation

## DirEntry

typedef BasicEntry zipios::DirEntry

DirEntry is a BasicEntry.

Definition at line 14 of file dircoll.h.